Bug 1029135 - [abrt] xfce4-notes-plugin-1.7.7-7.fc19: xnp_window_delete_note: Process /usr/bin/xfce4-notes was killed by signal 11 (SIGSEGV)
[abrt] xfce4-notes-plugin-1.7.7-7.fc19: xnp_window_delete_note: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-notes-plugin (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:23d7cbe60a6d81335bd6f0a917a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 13:00 EST by A.J. Bonnema
Modified: 2015-02-17 14:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:11:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.75 KB, text/plain)
2013-11-11 13:00 EST, A.J. Bonnema
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-11 13:00 EST, A.J. Bonnema
no flags Details
File: core_backtrace (11.63 KB, text/plain)
2013-11-11 13:00 EST, A.J. Bonnema
no flags Details
File: dso_list (8.17 KB, text/plain)
2013-11-11 13:00 EST, A.J. Bonnema
no flags Details
File: environ (1.83 KB, text/plain)
2013-11-11 13:00 EST, A.J. Bonnema
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-11 13:01 EST, A.J. Bonnema
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-11 13:01 EST, A.J. Bonnema
no flags Details
File: maps (41.38 KB, text/plain)
2013-11-11 13:01 EST, A.J. Bonnema
no flags Details
File: open_fds (324 bytes, text/plain)
2013-11-11 13:01 EST, A.J. Bonnema
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-11-11 13:01 EST, A.J. Bonnema
no flags Details
File: var_log_messages (641 bytes, text/plain)
2013-11-11 13:01 EST, A.J. Bonnema
no flags Details

  None (edit)
Description A.J. Bonnema 2013-11-11 13:00:35 EST
Description of problem:
I deleted the 4 notes that were on my screen. I had only activated these  notes a few days ago, but I was annoyed that they show up at the start of every session, so I decided to delete them. That's when the crash occurred (after deleting the last one).

Version-Release number of selected component:
xfce4-notes-plugin-1.7.7-7.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        xfce4-notes
crash_function: xnp_window_delete_note
executable:     /usr/bin/xfce4-notes
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xnp_window_delete_note at window.c:1924
 #5 gtk_widget_activate at gtkwidget.c:5048
 #6 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #7 gtk_menu_shell_button_release at gtkmenushell.c:730
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #13 gtk_widget_event_internal at gtkwidget.c:5017
 #14 gtk_widget_event at gtkwidget.c:4814
 #15 gtk_propagate_event at gtkmain.c:2490
 #16 gtk_main_do_event at gtkmain.c:1685
 #22 gtk_main at gtkmain.c:1257
Comment 1 A.J. Bonnema 2013-11-11 13:00:45 EST
Created attachment 822513 [details]
File: backtrace
Comment 2 A.J. Bonnema 2013-11-11 13:00:48 EST
Created attachment 822514 [details]
File: cgroup
Comment 3 A.J. Bonnema 2013-11-11 13:00:51 EST
Created attachment 822515 [details]
File: core_backtrace
Comment 4 A.J. Bonnema 2013-11-11 13:00:54 EST
Created attachment 822516 [details]
File: dso_list
Comment 5 A.J. Bonnema 2013-11-11 13:00:57 EST
Created attachment 822517 [details]
File: environ
Comment 6 A.J. Bonnema 2013-11-11 13:01:01 EST
Created attachment 822518 [details]
File: exploitable
Comment 7 A.J. Bonnema 2013-11-11 13:01:04 EST
Created attachment 822519 [details]
File: limits
Comment 8 A.J. Bonnema 2013-11-11 13:01:07 EST
Created attachment 822520 [details]
File: maps
Comment 9 A.J. Bonnema 2013-11-11 13:01:10 EST
Created attachment 822521 [details]
File: open_fds
Comment 10 A.J. Bonnema 2013-11-11 13:01:13 EST
Created attachment 822522 [details]
File: proc_pid_status
Comment 11 A.J. Bonnema 2013-11-11 13:01:17 EST
Created attachment 822523 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:33:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:11:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.